Skip to navigation

🧪 Create Fuel Transaction

Create a new fuel transaction. The fuel transaction will be created asynchronously, and you can check the status of the operation using the returned operation ID.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

is_syncbooleanOptionalDefaults to false

Whether to process the request synchronously. If true, Catena will attempt to create or update the resource immediately with the TSP and return the result in the response. When performing synchronous operations, you are responsible for handling any necessary retries in case of transient failures.If false (default), Catena will create an asynchronous operation, and you can check the status of the operation using the returned operation ID.

Request

This endpoint expects an object.
connection_idstringRequiredformat: "uuid"

Unique identifier of the connection at Catena Telematics which will be used to create this resource. A connection represents a Fleet/TSP pairing.

fuel_volumedoubleRequired
Volume of fuel purchased
fuel_volume_unitenumRequired

Unit for fuel_volume

Allowed values:
driver_idstring or nullOptionalformat: "uuid"
Catena identifier for the driver
vehicle_idstring or nullOptionalformat: "uuid"
Catena identifier for the vehicle
co_driver_idstring or nullOptionalformat: "uuid"

Catena identifier for the co-driver

latitudedouble or nullOptional-90-90
Latitude of the location where the fuel transaction occurred in decimal degrees.
longitudedouble or nullOptional-180-180
Longitude of the location where the fuel transaction occurred in decimal degrees.
location_stringstring or nullOptional

Human-readable location where the fuel transaction occurred

odometerdouble or nullOptional
Vehicle odometer reading at the time of the transaction
odometer_unitenum or nullOptional
Unit for odometer
Allowed values:
transaction_timedatetime or nullOptional

Timestamp of the transaction as reported by the source system (must be UTC)

transaction_jurisdictionenum or nullOptional

Jurisdiction where the transaction occurred (e.g., state or province code)

fuel_typeenum or nullOptional
Type of fuel purchased
fuel_vendorstring or nullOptional
Name of the fuel vendor or station
total_costdouble or string or nullOptional
Total cost of the transaction
currencystring or nullOptional
Currency of the total cost

Response

The fuel transaction was created successfully.
partner_idstringformat: "uuid"
The ID of the partner that created the operation.
connection_idstringformat: "uuid"
The ID of the connection
resourceenum

The type of resource to operate on (e.g., vehicle, driver).

operation_typeenum

The type of operation to perform (e.g., create, update).

Allowed values:
payloadmap from strings to any
The payload of the operation, containing the resource attributes to be created or updated.
idstringOptionalformat: "uuid"
Unique identifier for the resource operation.
created_atdatetimeOptional

Immutable: The datetime the record was created in Catena Telematics.

updated_atdatetimeOptional
The datetime the record was last modified in Catena Telematics.
deleted_atdatetime or nullOptional
The datetime the record was logically deleted from Catena Telematics.
resource_idstring or nullOptionalformat: "uuid"

Unique identifier of the record. Can be null for create operations where the source does not exist yet.

source_idstring or nullOptional
The unique identifier of the resource in the source system. Required for update operations.
statusenumOptional
The status of the operation
Allowed values:
logslist of objectsOptional
Log entries for each attempt to execute this operation.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
405
Method Not Allowed Error
409
Conflict Error
422
Unprocessable Entity Error
429
Too Many Requests Error
500
Internal Server Error
501
Not Implemented Error
502
Bad Gateway Error